# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.spreadsheet
Class Namespaces

    java.lang.Object
      com.google.gdata.data.spreadsheet.Namespaces

    public class Namespaces

extends java.lang.Object

GData namespace definitions related to Google Spreadsheets.

Field Summary
`static java.lang.String` `CELLS_LINK_REL` Link "rel" for cells feeds.
`static java.lang.String` `gSpread` Google Spreadsheets (GS) namespace
`static java.lang.String` `gSpreadAlias` Google Spreadsheets (GS) namespace alias
`static java.lang.String` `gSpreadCustom` Google Spreadsheets custom tag (GSX) namespace
`static java.lang.String` `gSpreadCustomAlias` Google Spreadsheets custom tag (GSX) namespace alias
`static com.google.gdata.util.common.xml.XmlNamespace` `gSpreadCustomNs` XML writer namespace for Google Spreadsheets custom tag (GSX)
`static java.lang.String` `gSpreadCustomPrefix` Google Spreadsheets custom tag (GSX) namespace prefix
`static com.google.gdata.util.common.xml.XmlNamespace` `gSpreadNs` XML writer namespace for Google Spreadsheets (GS)
`static java.lang.String` `gSpreadPrefix` Google Spreadsheets (GS) namespace prefix
`static java.lang.String` `GVIZ` Gviz data source for the worksheet (GVIZ) namespace
`static java.lang.String` `GVIZ_LINK_REL` Link "rel" for GViz.
`static java.lang.String` `GVIZ_PREFIX` Gviz data source for the worksheet (GVIZ) namespace prefix
`static java.lang.String` `LIST_LINK_REL` Link "rel" for list feeds.
`static java.lang.String` `SOURCE_LINK_REL` Link "rel" for a url that is a source for a particular cell.
`static java.lang.String` `TABLES_LINK_REL` Link "rel" for tables feed.
`static java.lang.String` `WORKSHEETS_LINK_REL` Link "rel" for worksheets feed.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### gSpread

    public static final java.lang.String gSpread

  Google Spreadsheets (GS) namespace

  See Also:
    Constant Field Values

### gSpreadPrefix

    public static final java.lang.String gSpreadPrefix

  Google Spreadsheets (GS) namespace prefix

  See Also:
    Constant Field Values

### gSpreadAlias

    public static final java.lang.String gSpreadAlias

  Google Spreadsheets (GS) namespace alias

  See Also:
    Constant Field Values

### gSpreadNs

    public static final com.google.gdata.util.common.xml.XmlNamespace gSpreadNs

  XML writer namespace for Google Spreadsheets (GS)

### gSpreadCustom

    public static final java.lang.String gSpreadCustom

  Google Spreadsheets custom tag (GSX) namespace

  See Also:
    Constant Field Values

### gSpreadCustomPrefix

    public static final java.lang.String gSpreadCustomPrefix

  Google Spreadsheets custom tag (GSX) namespace prefix

  See Also:
    Constant Field Values

### gSpreadCustomAlias

    public static final java.lang.String gSpreadCustomAlias

  Google Spreadsheets custom tag (GSX) namespace alias

  See Also:
    Constant Field Values

### gSpreadCustomNs

    public static final com.google.gdata.util.common.xml.XmlNamespace gSpreadCustomNs

  XML writer namespace for Google Spreadsheets custom tag (GSX)

### GVIZ

    public static final java.lang.String GVIZ

  Gviz data source for the worksheet (GVIZ) namespace

  See Also:
    Constant Field Values

### GVIZ_PREFIX

    public static final java.lang.String GVIZ_PREFIX

  Gviz data source for the worksheet (GVIZ) namespace prefix

  See Also:
    Constant Field Values

### TABLES_LINK_REL

    public static final java.lang.String TABLES_LINK_REL

  Link "rel" for tables feed.

  See Also:
    Constant Field Values

### WORKSHEETS_LINK_REL

    public static final java.lang.String WORKSHEETS_LINK_REL

  Link "rel" for worksheets feed.

  See Also:
    Constant Field Values

### LIST_LINK_REL

    public static final java.lang.String LIST_LINK_REL

  Link "rel" for list feeds.

  See Also:
    Constant Field Values

### CELLS_LINK_REL

    public static final java.lang.String CELLS_LINK_REL

  Link "rel" for cells feeds.

  See Also:
    Constant Field Values

### SOURCE_LINK_REL

    public static final java.lang.String SOURCE_LINK_REL

  Link "rel" for a url that is a source for a particular cell.

  See Also:
    Constant Field Values

### GVIZ_LINK_REL

    public static final java.lang.String GVIZ_LINK_REL

  Link "rel" for GViz.

  See Also:
    Constant Field Values